﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;
using System.IO.Ports;

namespace iRobot
{
    public partial class SetPortPopUp : Form
    {
        iRobot.Form1 mainForm;
        public SetPortPopUp(Form1 mainForm)
        {
            this.mainForm = mainForm;
            InitializeComponent();
        }

        private void SetPortPopUp_Load(object sender, EventArgs e)
        {
            this.TopMost = true;
            foreach (string port in SerialPort.GetPortNames())
            {
                comboBoxPorts.Items.Add(port);
            }
        }

        private void buttonOk_Click(object sender, EventArgs e)
        {
            mainForm.sp.Close();
            mainForm.sp.PortName = comboBoxPorts.SelectedItem.ToString();
            mainForm.Start_CheckToStopThread();
            this.Close();
        }
    }
}
